curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/earnings/{earning} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "earning",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "parental_top_up_insurable",
"label": "Parental Top-Up (Insurable)",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/parental_top_up_insurable"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"amount": 5000,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earnings/<id>"
}
}Retrieve an earning
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/earnings/{earning} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "earning",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "parental_top_up_insurable",
"label": "Parental Top-Up (Insurable)",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/parental_top_up_insurable"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"amount": 5000,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earnings/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
business_preset, expense_accounting_code, liability_accounting_code, tag_assignment, work_assignment Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("earning").
- Default
- With work_assignment expanded
- With business_preset expanded
- With expense_accounting_code expanded
- With liability_accounting_code expanded
- With tag_assignment expanded
Hide child attributes
Hide child attributes
The type of earning, which determines how it is taxed.
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("earning_type").
Hide child attributes
Hide child attributes
The string identifier for this earning type.
The human-readable display name for this earning type.
255The translation of the title property for the request locale. Computed using the values in title and title_translations and the value of the request's Accept-Language header.
The monetary amount applied each time this earning is included on a Pay Stub.
The frequency at which this earning is applied to Pay Stubs. When per_month, the amount is distributed evenly across all Payrolls in the calendar month.
once, per_month, per_payroll Which payroll date determines the calendar month for the allocation. Applies only to per_month recurrences.
by_pay_date, by_period_end_date, by_period_start_date Which pay periods within the month receive the allocation. An array of 1-based positions; -1 is the final period. Applies only to per_month recurrences.
The date from which this earning is applied to Pay Stubs.
The date after which this earning is no longer applied. null if the earning applies indefinitely.
A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

